.title
Partial	JJ
Parsing	NN
via	IN
Finite-State	JJ
Cascades	NNS
.author
Steven	NNP
Abney	NNP
.address
SfS	NNP
,	,
Wilhelmstr.	NNP
113	CD
,	,
University	NNP
of	IN
T\"ubingen	NNP
,	,
72074	CD
T\"ubingen	NNP
,	,
Germany	NNP
.abstract
.s
Finite	JJ
state	NN
cascades	NNS
represent	VBP
an	DT
attractive	JJ
architecture	NN
for	IN
parsing	VBG
unrestricted	JJ
text	NN
.	.
.s
Deterministic	JJ
parsers	NNS
specified	VBN
by	IN
finite	JJ
state	NN
cascades	NNS
are	VBP
fast	JJ
and	CC
reliable	JJ
.	.
.s
They	PRP
can	MD
be	VB
extended	VBN
at	IN
modest	JJ
cost	NN
to	TO
construct	VB
parse	NN
trees	NNS
with	IN
finite	JJ
feature	NN
structures	NNS
.	.
.s
Finally	RB
,	,
such	JJ
deterministic	JJ
parsers	NNS
do	MD
not	RB
necessarily	RB
involve	VB
trading	VBG
off	RP
accuracy	NN
against	IN
speed	NN
---	:
they	PRP
may	MD
in	IN
fact	NN
be	VBP
more	RBR
accurate	JJ
than	IN
exhaustive	JJ
search	NN
stochastic	JJ
context	NN
free	JJ
parsers	NNS
.	.
.heading
Finite	JJ
State	NN
Cascades	NNS
.text
.s
Of	IN
current	JJ
interest	NN
in	IN
corpus	NN
oriented	VBN
computational	JJ
linguistics	NNS
are	VBP
techniques	NNS
for	IN
bootstrapping	VBG
broad	JJ
coverage	NN
parsers	NNS
from	IN
text	NN
corpora	NNS
.	.
.s
The	DT
work	NN
described	VBN
here	RB
is	VBZ
a	DT
step	NN
along	IN
the	DT
way	NN
toward	IN
a	DT
bootstrapping	VBG
scheme	NN
that	WP
involves	VBZ
inducing	VBG
a	DT
tagger	NN
from	IN
word	NN
distributions	NNS
,	,
a	DT
lowlevel	JJ
``	``
chunk	NN
''	''
parser	NN
from	IN
a	DT
tagged	VBN
corpus	NN
,	,
and	CC
lexical	JJ
dependencies	NNS
from	IN
a	DT
chunked	VBN
corpus	NN
.	.
.s
In	IN
particular	NN
,	,
I	PRP
describe	VBP
a	DT
chunk	NN
parsing	NN
technique	NN
based	VBN
on	IN
what	WP
I	PRP
will	MD
call	VB
a	DT
.fi	NIL
finite	JJ
state	NN
cascade	NN
.fr	NIL
.	.
.s
Though	IN
I	PRP
shall	MD
not	RB
address	VB
the	DT
question	NN
of	IN
inducing	VBG
such	PDT
a	DT
parser	NN
from	IN
a	DT
corpus	NN
,	,
the	DT
parsing	NN
technique	NN
has	VBP
been	VBN
implemented	VBN
and	CC
is	VBZ
being	VBG
used	VBN
in	IN
a	DT
project	NN
for	IN
inducing	VBG
lexical	JJ
dependencies	NNS
from	IN
corpora	NNS
in	IN
English	NNP
and	CC
German	NNP
.	.
.s
The	DT
resulting	VBG
parsers	NNS
are	VBP
robust	JJ
and	CC
very	RB
fast	JJ
.	.
.p
.s
A	DT
finite	JJ
state	NN
cascade	NN
consists	VBZ
of	IN
a	DT
sequence	NN
of	IN
.fi	NIL
levels	NNS
.fr	NIL
.	.
.s
Phrases	NNS
at	IN
one	CD
level	NN
are	VBP
built	VBN
on	IN
phrases	NNS
at	IN
the	DT
previous	JJ
level	NN
,	,
and	CC
there	EX
is	VBZ
no	DT
recursion	NN
:	:
phrases	NNS
never	RB
contain	VBP
same	JJ
level	NN
or	CC
higher	JJR
level	NN
phrases	NNS
.	.
.s
Two	CD
levels	NNS
of	IN
special	JJ
importance	NN
are	VBP
the	DT
level	NN
of	IN
.fi	NIL
chunks	NNS
.fr	NIL
and	CC
the	DT
level	NN
of	IN
.fi	NIL
simplex	JJ
clauses	NNS
.fr	NIL
.	.
.s
Chunks	NNS
are	VBP
the	DT
non-recursive	JJ
cores	NNS
of	IN
``	``
major	JJ
''	''
phrases	NNS
,	,
i.e.	RB
,	,
NP	NNP
,	,
VP	NNP
,	,
PP	NNP
,	,
AP	NNP
,	,
AdvP	NNP
.	.
.s
Simplex	JJ
clauses	NNS
are	VBP
clauses	NNS
in	IN
which	WP
embedded	VBN
clauses	NNS
have	VBP
been	VBN
turned	VBN
into	IN
siblings	NNS
---	:
tail	NN
recursion	NN
has	VBP
been	VBN
replaced	VBN
with	IN
iteration	NN
,	,
so	RB
to	TO
speak	VB
.	.
.s
To	TO
illustrate	VB
,	,
Table	NN
1	CD
shows	VBZ
a	DT
parse	NN
tree	NN
represented	VBN
as	IN
a	DT
sequence	NN
of	IN
levels	NNS
.	.
