#ifndef ALLOCATE_H
#define ALLOCATE_H


#define allocate(vbl, size, elttype) \
  allocate1((char **)&vbl, size, sizeof(elttype))

#define reallocate(vbl, allocvbl, size, elttype) \
  reallocate1((char **)&vbl, &allocvbl, size, sizeof(elttype))

#define deallocate(vbl, size, elttype) \
  deallocate1((void *)vbl, size, sizeof(elttype))

extern int TotalUserAllocation;
void *allocate1 (char **loc, int n, int eltsize);
void reallocate1 (char **loc, int *alloc_loc, int n, int eltsize);
void deallocate1 (void *x, int n, int eltsize);

#endif
