#include <stdio.h>
#include <spa.h>
#include "regex.h"


/**===================================================================
***
***				 Main
**/

main (int arc, char *argv[])
{
    char *filename = NULL;
    FILE *file;
    int rx;

    parse_args(&arc, &argv, "?s", &filename);

    file = filename == NULL ? stdin : Fopen(filename, "r");

    init_regices("nil");
    DpEnable();
    while (rx = scan_regex(file)) {
	print_regex(rx, stdout);
    }
}
