#ifndef SPAMATH_H
#define SPAMATH_H

#include <global.h> /* Tmp */
#include <math.h>

/*  #define lg(x) (log((double) x) * M_LOG2E)  */

#define lg(x) log2(x)
#define ln(x) log(x)

#ifdef UNIX
#define min(x,y) ((Tmp1.i = (x)) < (Tmp2.i = (y)) ? Tmp1.i : Tmp2.i)
#define max(x,y) ((Tmp1.i = (x)) > (Tmp2.i = (y)) ? Tmp1.i : Tmp2.i)
#endif

#define abs(x)  ((x) > 0 ? (x) : -(x))

#endif
