#include <spa.h>
#include <amatrix.h>


main (int argc, char *argv[])
{
    struct amatrix *m;
    int keytuple[3];
    float *fp;

    m = make_amatrix(3, 100, sizeof(float));

    keytuple[0] = 3;
    keytuple[1] = 5;
    keytuple[2] = 0;
    fp = am_insert(keytuple, m);
    *fp = 7.4;

    keytuple[0] = 3;
    keytuple[1] = 1;
    keytuple[2] = 3;
    fp = am_insert(keytuple, m);
    *fp = -12.88;

    keytuple[0] = 3;
    keytuple[1] = 1;
    keytuple[2] = 1;
    fp = am_insert(keytuple, m);
    *fp = 2.675;

    dump_amatrix(m, print_float_1, stdout);
    terpri(stdout);
    print_amatrix(m, print_float_1, stdout);

    keytuple[0] = 3;
    keytuple[1] = 1;
    keytuple[2] = 3;
    fp = am_insert(keytuple, m);
    printf("[3 1 3] -> %f\n", *fp);

    return 0;
}
