#include <spa.h>
#include <spatok.h>
#include <regparse.h>


main (int arc, char *argv[])
{
    char *filename = NULL;
    FILE *file;
    struct tokstream *stream;
    RegexId rx;

    parse_args(&arc, &argv, "?s", &filename);

    file = filename == NULL ? stdin : Fopen(filename, "r");

    RegTraceRX = RegTraceSyntax;

    stream = make_tokstream(file);
    while (rx = scan_regex(stream)) {
	terpri(file);
	print_regex(rx, stdout);
    }
    return 0;
}
