#ifndef AMGR_H
#define AMGR_H


struct amgr {
    int len;
    int alloc;
    int eltsize;
    void **loc;
};

extern int new_entry_p;

#define glength(a) ((a)->len)

int gpush (void *xp, struct amgr *a);
int gpop (void *xp, struct amgr *a);
int gneed (struct amgr *a, int i);
int gnew (struct amgr *a);
int galloc (struct amgr *a, int len);
int gzero (struct amgr *a);
int gsetlength (struct amgr *a, int newlen);
struct amgr *make_amgr (void *p, int alloc, int eltsize);
int free_amgr (struct amgr *a);
int write_amgr (struct amgr *a, FILE *file);
struct amgr *read_amgr (void *p, FILE *file);
void dump_amgr (struct amgr *a, int (*print_elt)(), FILE *file);

#endif
