#ifndef POOL_H
#define POOL_H

struct pool {
    struct poolseg *first;
    struct poolseg *last;
};

struct poolseg {
    int len;
    int alloc;
    struct poolseg *next;
};

struct pool *make_pool (int alloc);
int zero_pool (struct pool *pool);
void *palloc (int nelts, int eltsize, struct pool *pool);

#endif

