#ifndef SPAMAP_H
#define SPAMAP_H

struct map {
    int fd;
    int alloc;
    void *data;
};


struct map *open_map ();
struct map *create_map (char *filename, int size);
struct map *read_map (char *filename);
int close_map (struct map *map);
int resize_map (struct map *map, int size);



#endif
