#ifndef SPASTRNG_H
#define SPASTRNG_H


#include <ctype.h>
#include <string.h>
#include <global.h> /* Tmp */

#define string_equal(s1, s2) (strcmp((s1),(s2)) == 0)
#define string_member(x, s) (strchr((s),(x)))

#define DONT_SQUEEZE 0
#define SQUEEZE      1

#define ISINT        1
#define ISFLOAT      2


#define downcase_char(C) \
  (Tmp.c = (C), \
   isupper(Tmp.c) ? tolower(Tmp.c) : Tmp.c)

#define upcase_char(C) \
  (Tmp.c = (C), \
   islower(Tmp.c) ? toupper(Tmp.c) : Tmp.c)

char *copy_string (char *s);
int string_index (char c, char *s);
int string_fields (char *s, char **a, int len, char *delims, int squeeze);
char *expand_string (char *s);
void downcase_string (char *s);
void upcase_string (char *s);

#endif
