

#define MAX_STEM 64

#define NONE	0
#define ADD_E	1
#define I_TO_Y	2
#define DEGEM	3

#define SUFF_S	1
#define SUFF_D	2
#define SUFF_G	3

char *Decode_suffix[8];

#define decode_suffix(suff) (Decode_suffix[suff])

int Encode_suffix[52] ;
int encode_suffix(char suff);

static char stem[MAX_STEM+1];
static int stemlen, suffix, change;


int strip_suffix ();
int stem_change ();
int do_change (int change);

struct string_table *word_table;
struct string_table *stem_table;

void load_word_exceptions (char *path);
void load_stem_exceptions (char *path);

char *look_up_word (char *word);
char *look_up_stem (char *s);
char *stem_word (char *word);

void stem_text ();
void stem_words ();
