#ifndef TMATRIX_H
#define TMATRIX_H

struct tmatrix {
    int n;          /** number of rows/columns **/
    int N;          /** allocation: number of nonredundant cells **/
    int eltsize;
    char *a;        /** the array **/
};

void *tref (tmatrix *m, int i, int j);

struct tmatrix *make_tmatrix (int n, int eltsize);
int write_tmatrix (struct tmatrix *m, FILE *file);
struct tmatrix *read_tmatrix (FILE *file);

#endif
