#include <stdio.h>
#include "signal.h"


char *last_successful = NULL;

try_size (name, size)
    char *name;
    int size;
{
    long double data;
    long double *dp = (long double *) ((char *) &data + size);

    *dp = 16.3;
    last_successful = name;
}


void handle_bus_error ()
{
    if (last_successful == NULL)
      fprintf(stderr, "*** Can't find word size ***\n");
    else
      printf("#ifndef WORD_H\n#define WORD_H\ntypedef %s word;\n#endif\n", last_successful);
    exit(0);
}


main ()
{
    signal(SIGBUS, handle_bus_error);

    try_size("double", sizeof(double));
    try_size("long", sizeof(long));
    try_size("int", sizeof(int));
    try_size("short", sizeof(short));
    try_size("char", sizeof(char));
    printf("#ifndef WORD_H\n#define WORD_H\ntypedef char word;\n#endif\n");
}
