#include <stdio.h>
#include <spa.h>


int N = 2;
int line_alloc = 1024;


main (int argc, char *argv[])
{
    int i, j;
    char **line, *filename = NULL, *outfilename = NULL;
    FILE *file, *outfile;
    
    Usage = "ngram [filename] [-n N] [-o outfile] [-l line_alloc]";
    parse_args(&argc, &argv, "?s-in-il-so", &filename, &N, &line_alloc, &outfilename);
    
    file = filename == NULL ? stdin : Fopen(filename, "r");
    outfile = outfilename == NULL ? stdout : Fopen(outfilename, "w");

    allocate(line, N, int *);
    for (i = 0; i < N; i++) {
	allocate(line[i], line_alloc, char);
    }

    for (i = 0; i < N-1; i++) {
	scan_line(line[i], line_alloc, file);
    }

    for (; scan_line(line[i], line_alloc, file) != EOF; i = (i+1)%N) {
	for (j = 1; j <= N; j++) {
	    if (j != 1) print_char('\t', outfile);
	    print_string(line[(i+j)%N], outfile);
	}
	terpri(outfile);
    }
}
